import numpy as np
import pytest
from pytest import approx

from tests.test_gui_auto_decomposition import REFS

from examples.ex_nogui_auto_decomposition import auto_decomposition


def test_auto_decomposition():
    spectra = auto_decomposition(verbosity=False)

    results = []
    for i in range(3):
        x0 = spectra[i].peak_models[0].param_hints['x0']['value']
        ampli = spectra[i].peak_models[0].param_hints['ampli']['value']
        fwhm = spectra[i].peak_models[0].param_hints['fwhm']['value']
        results.append([x0, ampli, fwhm])
    # print(results)

    for result, reference in zip(results, REFS):
        assert result == approx(reference, rel=2e-2)
